> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a client team subscription



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json patch /v1/team/client/{teamId}/subscription
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/client/{teamId}/subscription:
    patch:
      tags:
        - Team
      summary: Update a client team subscription
      operationId: TeamController_updateClientSubscription
      parameters:
        - name: teamId
          required: true
          in: path
          description: The client team ID to update subscription for
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateClientSubscriptionDto'
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    UpdateClientSubscriptionDto:
      type: object
      properties:
        sku:
          type: string
          enum:
            - identity
            - adr
          description: Subscription SKU tier for the team
        addOns:
          type: array
          description: Active add-on SKUs for the team
          items:
            type: string
            enum:
              - data
        skuStartDate:
          type: string
          description: Contract/subscription start date (ISO string)
        skuEndDate:
          type: string
          description: Contract/subscription end date (ISO string)
        isTrial:
          type: boolean
          description: Whether this team is a proof-of-value trial
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````